Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.state.events
Class TreeStateCommandNodeEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.component.state.events.TreeStateCommandEvent
                  org.richfaces.component.state.events.TreeStateCommandNodeEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CollapseNodeCommandEvent, ExpandNodeCommandEvent

    public abstract class TreeStateCommandNodeEvent

extends TreeStateCommandEvent

Author:
  Nick - mailto:nbelaevski@exadel.com created 01.12.2006
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeStateCommandNodeEvent(javax.faces.component.UIComponent component, org.richfaces.model.TreeRowKey rowKey)`

Method Summary
`protected org.richfaces.model.TreeRowKey` | `getRowKey()`

Methods inherited from class org.richfaces.component.state.events.TreeStateCommandEvent
`execute, isAppropriateListener, processListener`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeStateCommandNodeEvent

    public TreeStateCommandNodeEvent(javax.faces.component.UIComponent component,
                                     org.richfaces.model.TreeRowKey rowKey)

Method Detail

### getRowKey

    protected org.richfaces.model.TreeRowKey getRowKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.